Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authentication
Class AuthenticatorImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.authentication.AuthenticationProviderImpl
                  weblogic.management.security.authentication.AuthenticatorImpl

    public class AuthenticatorImpl

extends AuthenticationProviderImpl

The base class of all authenticator MBean implementations. It extends the authentication provider MBean implementation and gives the authenticator's MBean implementation access to its configuration attributes.

Constructor Summary
`` | `AuthenticatorImpl(ModelMBean base)` Class constructor specifying the corresponding required model MBean.
`protected` | `AuthenticatorImpl(RequiredModelMBean base)`

Method Summary

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticatorImpl

    public AuthenticatorImpl(ModelMBean base)
                      throws MBeanException

  Class constructor specifying the corresponding required model MBean.

  Parameters:
    `base` - required model mbean for this mbean implementation
  Throws:
    `MBeanException` - Description of the Exception

### AuthenticatorImpl

    protected AuthenticatorImpl(RequiredModelMBean base)
                         throws MBeanException

Throws:
  `MBeanException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD